Data Fields

# OTTDThreadStartupMessage Struct Reference

avoid name clashes with MorphOS API functions More...

## Data Fields
struct Message | msg
| standard exec.library message (MUST be the first thing in the message struct!)
OTTDThreadFunc | func
| function the thread will execute
void * | arg
| functions arguments for the thread function

## Detailed Description

avoid name clashes with MorphOS API functions

NOTE: this code heavily depends on latest libnix updates. So make sure you link with new stuff which supports semaphore locking of the IO resources, else it will just go foobar.

Definition at line 40 of file thread_morphos.cpp.

The documentation for this struct was generated from the following file:

- src/thread/thread_morphos.cpp